> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-external-snippet-helper-copy.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/top-validators-by-validator-rewards

> **Deprecated**. Get a list of top-earning validators, and the total earned validator
rewards for each




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/top-validators-by-validator-rewards
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/top-validators-by-validator-rewards:
    get:
      tags:
        - deprecated
        - scan
      summary: /v0/top-validators-by-validator-rewards
      description: >
        **Deprecated**. Get a list of top-earning validators, and the total
        earned validator

        rewards for each
      operationId: getTopValidatorsByValidatorRewards
      parameters:
        - in: query
          name: round
          required: true
          schema:
            type: integer
            format: int64
        - in: query
          name: limit
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetTopValidatorsByValidatorRewardsResponse
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
      deprecated: true
components:
  schemas:
    GetTopValidatorsByValidatorRewardsResponse:
      type: object
      required:
        - validatorsAndRewards
      properties:
        validatorsAndRewards:
          type: array
          items:
            $ref: '#/components/schemas/PartyAndRewards'
    PartyAndRewards:
      type: object
      required:
        - provider
        - rewards
      properties:
        provider:
          type: string
        rewards:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````